Older Macbook trying to run traktor pro 2.6.2
Page 1 of 3 123 LastLast
Results 1 to 10 of 22
  1. #1
    Tech Wizard
    Join Date
    Jul 2013
    Location
    Inland Empire
    Posts
    26

    Default Older Macbook trying to run traktor pro 2.6.2

    So my sister gave me her old MacBook. Its the model that is in the white case. I tried to install traktor and its saying it requires snow leopard. I am running 10.6.8 and it will not take traktor. I tried to update the OS and its saying my processor will not take it. It is currently running an 1.83 Ghz Intel Core Duo. Under memory is says 2 GB 667 MHz DDR2 SDRAM. Is it possible to have traktor run on this labtop or do I have a large paper weight? Thanks in advance for your help

  2. #2
    Tech Wizard
    Join Date
    Feb 2011
    Location
    Montreal , Quebec , Canada
    Posts
    65

    Default

    Having had a macbook (black 2.0ghz Core Duo) I found that although I could ''run'' traktor scratch pro 2, it wasn't perfect. With a big load it did have a few dropouts. I had to increase the latency to a point where it didn't feel right when using timecode.

    I reverted back to traktor scratch pro and it ran perfectly fine. Might not have all the new features but it's still a solid piece of software.

    To run 2.6.2, you need os x 10.7 lion. It will not work with snow leopard.

  3. #3

    Default

    Quote Originally Posted by NOFUNNICK View Post
    So my sister gave me her old MacBook. Its the model that is in the white case. I tried to install traktor and its saying it requires snow leopard. I am running 10.6.8 and it will not take traktor. I tried to update the OS and its saying my processor will not take it. It is currently running an 1.83 Ghz Intel Core Duo. Under memory is says 2 GB 667 MHz DDR2 SDRAM. Is it possible to have traktor run on this labtop or do I have a large paper weight? Thanks in advance for your help
    You can't update to Lion or Mountain Lion, but you CAN update to Snow Leopard; the trick is finding a copy of Snow Leopard. Google will be your friend with regards to that.

    There IS a way to get Lion to run, but it requires some tinkering.
    For Sale: Handmade Custom DJ Cables - RCA / TRS / XLR!
    Gear: 2x Reloop Contour, Zomo MC-1000, Reloop RMX-40 :: Reloop Terminal Mix 4 :: Korg nanoKONTROL :: Traktor 2.6.1
    Latest Mix: June Progressive House (Soundcloud)

  4. #4
    Tech Wizard
    Join Date
    Jul 2013
    Location
    Inland Empire
    Posts
    26

    Default

    Where can I find one of the older versions of traktor?

  5. #5
    Tech Guru
    Join Date
    Mar 2012
    Location
    York, UK
    Posts
    3,428

    Default

    Contact NI support and they should provide you with an older installer, provided that you own Traktor already and have registered your serial.
    VCM100 / X1 / DJM250 / DJM900 / CDJ2000s / Maschine / Audio2+4 / 2i4 / HS8s / TSP 2.6.8
    Macbook Air i7-3667U+8GB 10.9 / Win7x64 i5-3570k+24GB


  6. #6
    Tech Mentor
    Join Date
    Nov 2012
    Posts
    369

    Default

    Upgrade to 4 GB ram (20 bucks if you do it yourself) and find a copy of traktor 2.6.0 and upgrade to Snow Leopard. Should run fine

  7. #7
    Tech Wizard
    Join Date
    Jul 2013
    Posts
    64

    Default

    Guys, 10.6.8 is Snow Leopard.

    I didn't have issues with my 2006 Macbook Pro running 10.6.8 and Traktor 2.6.1 IIRC, so I don't know what's going on exactly. Try to get a hold of Traktor (Scratch) Pro 1 if you can.

  8. #8
    Tech Wizard
    Join Date
    Jul 2013
    Location
    Inland Empire
    Posts
    26

    Default

    When I tried to upgrade to 10.6.8 it said my processor was not adequate for it and to run traktor 2 you have to have snow leopard

  9. #9
    Tech Mentor
    Join Date
    Oct 2012
    Location
    Mechanicville NY
    Posts
    295

    Default

    damn I didn't even think of this. I have an older macbook like this too.
    Just bought the new X1 and have been using it on my Imac which is newer and been having no problems.

    But now I'm thinking it's not gonna work with my macbook. so won't be able to use it at gigs.
    Obviously not gonna take the Imac to gigs lol.

  10. #10

    Default

    Just been doing some research; it's possible to run Lion DP1 or Mountain Lion final on unsupported Macs, but it requires some fudging around.

    To be honest, I think you guys' best bet would be to install Windows via Bootcamp and just use the Windows version of Traktor.
    For Sale: Handmade Custom DJ Cables - RCA / TRS / XLR!
    Gear: 2x Reloop Contour, Zomo MC-1000, Reloop RMX-40 :: Reloop Terminal Mix 4 :: Korg nanoKONTROL :: Traktor 2.6.1
    Latest Mix: June Progressive House (Soundcloud)

Page 1 of 3 123 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •